Method: updateMandateStatus

Inform Google of a change in status of a mandate due to user activities outside of Google.

An example request looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 1
    },
    "requestId": "cmVxdWVzdDE",
    "requestTimestamp": {
      "epochMillis": "1481899949606"
    },
    "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR"
  },
  "mandateId": "MA061B00045154",
  "updateSequenceTimestamp": {
    "epochMillis": "1481899949606"
  },
  "mandateStatus": {
    "mandateCancelled": {}
  }
}

An example response looks like:


{
  "responseHeader": {
    "responseTimestamp": {
      "epochMillis": "1481899949611"
    }
  },
  "result": {
    "success": {}
  }
}

HTTP request

POST https://vgw.googleapis.com/secure-serving/gsp/india-cards-v1/cardMandateManagement/updateMandateStatus/:PIAID

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },
  "mandateId": string,
  "updateSequenceTimestamp": {
    object (Timestamp)
  },
  "mandateStatus": {
    object (MandateStatus)
  }
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

mandateId

string

REQUIRED: The unique identifier for the mandate that is being updated.

updateSequenceTimestamp

object (Timestamp)

REQUIRED: A timestamp (in UTC) describing when this request was sent.

mandateStatus

object (MandateStatus)

REQUIRED: The latest status of this mandate.

Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an ErrorResponse, consult the ErrorResponse object and HTTP status codes documentation.

JSON representation
{

  // Union field response_type can be only one of the following:
  "response": {
    object (UpdateMandateStatusResponse)
  },
  "errorResponse": {
    object (ErrorResponse)
  }
  // End of list of possible types for union field response_type.
}
Possible response messages
HTTP 200 Status

object (UpdateMandateStatusResponse)

The standard response message for updateMandateStatus.

HTTP 4XX / 5XX Status

object (ErrorResponse)

The error response message for updateMandateStatus.

MandateStatus

The status of a mandate.

JSON representation
{

  // Union field status can be only one of the following:
  "mandateActive": {
    object (Empty)
  },
  "mandateCancelled": {
    object (MandateCancelled)
  },
  "mandatePaused": {
    object (MandatePaused)
  }
  // End of list of possible types for union field status.
}
Fields
Union field status. REQUIRED: The status must contain exactly one of these messages. status can be only one of the following:
mandateActive

object (Empty)

The mandate is active and can be used for transactions.

mandateCancelled

object (MandateCancelled)

The mandate is cancelled and cannot be used for future transactions.

mandatePaused

object (MandatePaused)

The mandate is paused and cannot be used for transactions until re-activated.

MandateCancelled

This mandate is cancelled in the network.

JSON representation
{
  "rawResult": {
    object (RawResult)
  }
}
Fields
rawResult

object (RawResult)

OPTIONAL: Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code–mapping situations, data is sometimes lost. The integrator can choose to give Google a raw code. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the scope would be "visa" and the rawCode would be whatever the VISA network returned.

MandatePaused

This mandate is paused in the network.

JSON representation
{
  "rawResult": {
    object (RawResult)
  }
}
Fields
rawResult

object (RawResult)

OPTIONAL: Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code–mapping situations, data is sometimes lost. The integrator can choose to give Google a raw code. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the scope would be "visa" and the rawCode would be whatever the VISA network returned.

UpdateMandateStatusResponse

Response object for the updateMandateStatus method.

JSON representation
{
  "responseHeader": {
    object (ResponseHeader)
  },
  "result": {
    object (UpdateMandateStatusResult)
  }
}
Fields
responseHeader

object (ResponseHeader)

REQUIRED: Common header for all responses.

result

object (UpdateMandateStatusResult)

REQUIRED: Result of this call.

UpdateMandateStatusResult

Result codes for the updateMandateStatus method.

JSON representation
{

  // Union field result can be only one of the following:
  "success": {
    object (Empty)
  }
  // End of list of possible types for union field result.
}
Fields
Union field result. REQUIRED: The result must contain exactly one of these messages. result can be only one of the following:
success

object (Empty)

Update mandate status was successfully processed.